subroutine Agen(Ag, job)
use work

implicit real(8) (a-h, o-z)

real(8) Ag(n,n)

character(20) job

real(8), allocatable :: b(:,:), c(:,:), d(:,:)


! Initialize:
ag=0D0

! Select:
Job_If: IF(job =='Ex1' .or. job =='ex1') THEN
! Ex.1 analitic

ag(1,1) =1
ag(1,2) =-dsqrt(2.D0)/2
ag(1,3)=0

ag(2,1) =ag(1,2)
ag(2,2) =1.5
ag(2,3) =-2/dsqrt(5.D0)

ag(3,1) =0
ag(3,2) =ag(2,3)
ag(3,3) =2.4


ELSE
!
ENDIF Job_If

END

